unit uMachID;

interface

uses
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  Buttons,
  StdCtrls,
  LResources;

type

  { TfrmExMachineID }

  TfrmExMachineID = class(TForm)
    GroupBox1: TGroupBox;
    chkUser: TCheckBox;
    chkSystem: TCheckBox;
    chkNetwork: TCheckBox;
    chkDrives: TCheckBox;
    btnGenerate: TButton;
    edtMachineID: TEdit;
    procedure btnGenerateClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure GroupBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmExMachineID: TfrmExMachineID;

implementation



uses
  onguard, ogutil;

procedure TfrmExMachineID.btnGenerateClick(Sender: TObject);
var
  InfoSet : TEsMachineInfoSet;
  MachineID : Longint;
  TestOut: array[0..31] of byte;
begin
  { initialize the machine information set }
    fillchar(TestOut,32,#0);
  InfoSet := [];
  if chkUser.Checked then
    InfoSet := InfoSet + [midUser];
  if chkSystem.Checked then
    InfoSet := InfoSet + [midSystem];
  if chkNetwork.Checked then
    InfoSet := InfoSet + [midNetwork];
  if chkDrives.Checked then
    InfoSet := InfoSet + [midDrives];

  { create the machine ID and display in hex }
  try
  MachineID := CreateMachineID(InfoSet);
  edtMachineID.Text := '$' + BufferToHex(MachineID, SizeOf(MachineID));
  //SHA.Init();
  //SHA.UpdateStr(edtMachineID.Text);
  //SHA.Final(TestOut);
  //edtMachineID.Text := BufferToHex(TestOut,32);
  except on E:Exception do
   ShowMessage(E.Message);
  end;
end;

procedure TfrmExMachineID.FormCreate(Sender: TObject);
begin

end;

procedure TfrmExMachineID.GroupBox1Click(Sender: TObject);
begin

end;

initialization
{$I umachid.lrs}

end.
 
