{**********************************************************************
          Copyright (c) PilotLogic Software House.
                   All rights reserved.
  
 Package pl_OnGuard.pkg
 This unit is part of CodeTyphon Project (http://www.pilotlogic.com/)
***********************************************************************}

unit onguardstarter;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils,
  ogfirst,
  ogsrmgr,
  ogutil,
  onguard,
  ConsoleStubs;

Procedure OnGuard_Init;
Procedure OnGuard_Stop;

implementation

Procedure OnGuard_Init;
begin
   _Init_ConsoleStubs;
   _Init_ogsrmgr;
   _Init_ogutil;
   _Init_onguard;
   _Init_ogfirst;
end;

Procedure OnGuard_Stop;
begin
   _Stop_ogsrmgr;
   _Stop_ogfirst;
end;

end.

